<?php
require_once ("../../config/Cado.php");
require_once ("cMarca.php");
$oMarca = new cMarca();
//defino una clase que voy a utilizar para generar los elementos sugeridos en autocompletar
class ElementoAutocompletar {
   var $id;
   var $value;
   var $label;
   function __construct($id, $label, $value){
	  $this->id = $id;
      $this->label = $label;
      $this->value = $value;
   }
}
//recibo el dato que deseo buscar sugerencias
$datoBuscar = $_GET["term"];
//busco un valor aproximado al dato escrito
$rs=$oMarca->complete_nom($datoBuscar);
//creo el array de los elementos sugeridos
$arrayElementos = array();
//bucle para meter todas las sugerencias de autocompletar en el array
while ($fila = mysqli_fetch_array($rs)){
   array_push($arrayElementos, new ElementoAutocompletar($fila["tb_marca_id"], $fila["tb_marca_nom"],$fila["tb_marca_nom"]));
}
print_r(json_encode($arrayElementos));
?>